//             (C) by Florian Lindner 1998
//---------------------------------------------------------------------------
#ifndef FBtWinControlH
#define FBtWinControlH
//---------------------------------------------------------------------------
#include <vcl\SysUtils.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Forms.hpp>
//---------------------------------------------------------------------------
class FBtWinControl : public TCustomControl
{
private:
	enum TKindFBtWinControl { wcMinimize, wcMaximize, wcClose, wcNormalize, wcHelp };
    HDC DC;
    RECT r;
    bool clicked;
  	TKindFBtWinControl FKind;
    void __fastcall SetKind(TKindFBtWinControl);
    void __fastcall SetEnabled(Boolean);
    Boolean FEnabled;
protected:
    void __fastcall Paint();
    void __fastcall MouseDown(TMouseButton,TShiftState,int,int);
    void __fastcall MouseUp(TMouseButton,TShiftState,int,int);
public:
	__fastcall FBtWinControl(TComponent* Owner);
    void __fastcall SetBounds(int,int,int,int);
__published:
    __property Left ;
    __property Top ;
    __property Visible ;
    __property Hint ;
    __property ShowHint ;
    __property OnMouseDown ;
    __property OnMouseUp ;
    __property OnMouseMove ;
    __property OnClick;
	__property TKindFBtWinControl Kind = { read=FKind, write=SetKind, default=wcMinimize };
    __property Boolean Enabled = { read=FEnabled, write=SetEnabled, default=true };
};
//---------------------------------------------------------------------------
#endif
