//             (C) by Florian Lindner 1998
//---------------------------------------------------------------------------
#ifndef Fmp3IDH
#define Fmp3IDH
//---------------------------------------------------------------------------
#include <vcl\SysUtils.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Forms.hpp>
//---------------------------------------------------------------------------
class Fmp3ID : public TComponent
{
private:
    void GetFileSize();
	AnsiString FFileName;
    void __fastcall SetFileName(AnsiString);
    long FFileSize;
    void __fastcall SetFileSize(long);
    int hFile;
    void __fastcall ReadData();
    AnsiString FTitle;
    AnsiString FArtist;
    AnsiString FComment;
    AnsiString FAlbum;
    int FYear;
    void Actualize();
    AnsiString __fastcall GetArtist();
    void __fastcall SetArtist(AnsiString);
    AnsiString __fastcall GetTitle();
    void __fastcall SetTitle(AnsiString);
    AnsiString __fastcall GetComment();
    void __fastcall SetComment(AnsiString);
    AnsiString __fastcall GetAlbum();
    void __fastcall SetAlbum(AnsiString);
    int __fastcall GetYear();
    void __fastcall SetYear(int);
protected:
public:
	__fastcall Fmp3ID(TComponent* Owner);
__published:
	__property long FileSize = { read = FFileSize, write = SetFileSize, nodefault };
    __property AnsiString FileName = { read = FFileName, write = SetFileName };
    __property AnsiString Artist = { read = GetArtist, write = SetArtist };
    __property AnsiString Title = { read = GetTitle, write = SetTitle };
    __property AnsiString Comment = { read = GetComment, write = SetComment };
    __property AnsiString Album = { read = GetAlbum, write = SetAlbum };
    __property int Year = { read = GetYear, write = SetYear };
};
//---------------------------------------------------------------------------
#endif
